- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# useless_constraint_action Class Reference

`#include <CoinPresolveUseless.hpp>`

Inheritance diagram for useless_constraint_action:

[legend]
Collaboration diagram for useless_constraint_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
| ~useless_constraint_action ()
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const int *useless_rows, int nuseless_rows, const CoinPresolveAction *next)
## Private Member Functions
| useless_constraint_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

Definition at line 8 of file CoinPresolveUseless.hpp.

## Constructor & Destructor Documentation

useless_constraint_action::useless_constraint_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[private]`

useless_constraint_action::~useless_constraint_action | ( |  | ) |

## Member Function Documentation

const char* useless_constraint_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* useless_constraint_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const int * | useless_rows,
|  | int | nuseless_rows,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void useless_constraint_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int useless_constraint_action::nactions_`[private]`

Definition at line 18 of file CoinPresolveUseless.hpp.

const action* const useless_constraint_action::actions_`[private]`

Definition at line 19 of file CoinPresolveUseless.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.91.0/CoinUtils/src/CoinPresolveUseless.hpp